<?
include_once("inc/config.php");
include_once("inc/ftbbsdbclass.php");
include_once("inc/pageclass.php");
include_once("inc/publicfun.php");
include_once("inc/ftcode.php");
include_once("conn.php");
include_once("checkuser.php");
include_once("bbsuser.php");

$userid=get_cookie('clubuser_id');
$id=intval($_GET["id"]);
$pltype=$_GET["pltype"];
include_once("memberinfo.php");
$query = "SELECT * FROM {$tablepre}ftbbsmb";
$ftbbsmb=makecache('ftbbsmb.html',$query,$expire);
$url=$ftbbsmb[10];
$upfiletype=$ftbbsmb[12];
$upfilesize=$ftbbsmb[13];
$getcodeoff=$ftbbsmb[30];
$htm_ext=$ftbbsmb[32];
$plnl="";
if ($_POST["act"]=="y"){
   $netname=ftbbs_request(trim($_POST["netname"]));
   $plnl=trim($_POST["remenu"]);
   $plnl=ubb($plnl);
   $plnl=nojs($plnl);
   $str="update {$tablepre}ftblog_pl set netname='".$netname."',plcontent='".$plnl."' where id=".$id;
   mysql_query($str);
   header("Location:blogcenter_pl.php?pltype=".$pltype);
}
?>
<html><head><meta http-equiv=content-type content="text/html; charset=utf-8>">
</head>
<body>
<center>
<title><?=$username?>的评论管理中心</title>
<link rel="stylesheet" type="text/css" href="<?=$cssfile?>">
<?
include_once("usernav.php");
include_once("bokerhead.php");
?>
<div class="stage">
<table width="100%" border="0" cellspacing="0" cellpadding="0" id="layout">
<tr>
<td valign="top" class="c2t3">
<div id="mod_profile" class="mod" rel="drag">
<?
include_once("usercalog.php");
?>
</div>
</td>
<td valign="top" class="c2t1">
<div id="mod_bloglist" class="mod" rel="drag"> 
              <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr valign="middle"> 
                  <td height="50" colspan="2" class=new14> 
                    <div align="center">修改评论</div></td>
                </tr>
                <tr> 
                  <td height="1" colspan="2" bgcolor="#336699" class=new14><spacer height="1" type="block"></td>
                </tr>
                <tr > 
                  <td height="15" colspan="2" class=new14></td>
                </tr>
<?
$sql="select * from {$tablepre}ftblog_pl where id=".$id."";
$rs=mysql_query($sql);
$row = mysql_fetch_array($rs);
?>
                <form name="form1" action="" method="post" onsubmit="return CheckPlForm(this)">
                  <tr > 
                    <td width="11%" height="28"> 
                      <div align="center">网名:</div></td>
                    <td width="89%"> 
                      <input name="netname" type="text" id="netname" value="<?=$row["netname"]?>" maxlength="29"></td>
                  </tr>
                  <tr > 
                    <td height="28"> 
                      <div align="center">内容:</div></td>
                    <td height="300">
<TEXTAREA type="hidden" rows=1 cols=1 name="remenu" style="position:absolute;left:0;visibility:hidden;"><?=$row["plcontent"]?></textarea>
<script type="text/javascript" src="fteditor/blogeditor.js"></script> 
<script type="text/javascript">
var editor = new FtEditor("editor");
editor.hiddenName = "remenu";
editor.editorType = "simple";
editor.editorWidth = "600px";
editor.editorHeight = "250px";
editor.show();
</script>
					  </td>
                  </tr>
                  <tr > 
                    <td height="28">&nbsp;</td>
                    <td height="28"> 
                      <input type="submit" name="submit1" value=" 修 改 " class="button"> 
                      <input name="act" type="hidden" id="act" value="y"> <input name="id" type="hidden" id="id" value="<?=$id?>">
                      <input name="url" type="hidden" id="url" value="<?=$_SERVER["HTTP_REFERER"]?>"></td>
                  </tr>
                </form>
              </table>
              <br>
            </div>
</td>
</tr></table>
</div>
</div>
<br><center>
<?
include_once("tail.php");
?>
  </center>
</center>
</body>
</html>